package org.tio.sitexxx.service.model.main;

import org.tio.sitexxx.service.model.main.base.BaseWxUserWithholdItem;
import org.tio.sitexxx.service.vo.PayConst;

import java.util.Map;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-25 09:37
 *    desc   :
 * </pre>
 */
public class WxUserWithholdItem extends BaseWxUserWithholdItem<WxUserWithholdItem> {
    public static final WxUserWithholdItem dao = new WxUserWithholdItem().dao();

    public static WxUserWithholdItem toBean(Map<String, Object> map) {
        map.remove(PayConst.ApiClassName.API_MAP_KEY);
        WxUserWithholdItem withholdItem = new WxUserWithholdItem();
        withholdItem._setAttrs(map);
        return withholdItem;
    }
}

